	#declare Cliche1 = cylinder{
	<-4,15,0> <4,15,0>,17
	scale <1,1,.25>}
	
#declare Cliche2 = union{
	object{Cliche1 translate <0,0,7>}
	object{Cliche1 translate <0,0,-7>}}
	
#declare n=0
#declare Cliche3 = union{
	#while (n<9)
		#declare n=n+1
		object{Cliche2 rotate <0,n*45,0>}
		#end
		}

#declare Window = box{
	<-.25,0,-5> <.25,1,5>}

#declare WindowSides = difference{
	box{
		<-.25,0,-5> <.25,1,5>}
	box{
		<-.22,.03,-4.7> <.22,.97,4.7>}}
	
#declare HeadCliche = difference{
	union{
		cone{
			<0,0,2.9>,4 <0,0,0>,4.5}
		cone{
			<0,0,0>,4.5 <0,0,-1.3>,4.2}
		cone{
			<0,0,-1.3>,4.2 <0,0,-2.8>,3}
		scale <.7,.7,1>}
	union{
		cylinder{
			<0,0,0> <0,-6,0>,6}
		cylinder{
			<0,0,-2.8> <0,0,-6>,6
			rotate <10,0,0>}
		cylinder{
			<0,0,-2.9> <0,0,-6>,6
			rotate <30,0,0>}
		cylinder{
			<0,0,2.8> <0,0,6>,6
			rotate <-30,0,0>}
		cylinder{
			<6,0,0> <2.6,0,0>,6
			rotate <0,-15,0>
			rotate <0,0,65>}
		cylinder{
			<-6,0,0> <-2.6,0,0>,6
			rotate <0,15,0>
			rotate <0,0,-65>}}}

#declare Axis = union{
	box{
		<-.2,-.5,-3> <.2,.3,0>}
	cylinder{
		<0,0,0> <0,0,-4>,.14}
	cylinder{
		<0,0,-3> <0,0,-4>,.2}
	translate <0,13,0>
	texture{Wood}}
	
#declare Fan = union{
	object{
		box{
			<-.15,-.1,0> <.15,.1,12.2>
			texture{Wood}}}
	union{
		box{
			<-.05,-.05,1> <.05,.05,12>
			translate <-.5,0,0>}
		box{
			<-.05,-.05,-12> <.05,.05,-2>
			rotate <.5,0,0>
			translate <.4,0,14>}
		box{
			<-.05,-.05,-12> <.05,.05,-2>
			rotate <1,0,0>
			translate <.8,0,14>}
		box{
			<-.05,-.05,-12> <.05,.05,-2>
			rotate <1.5,0,0>
			translate <1.2,0,14>}
		box{
			<-.05,-.05,-12> <.05,.05,-2>
			rotate <2,0,0>
			translate <1.6,0,14>}
		texture{WhiteWood}}
	#declare n=1
	#while (n<10.5)
		#declare n=n+.4
		object{
			cylinder{
				<-.5,0,1.1+n> <1.8,.75-n/30,1.1+n>,.04
				scale <1,.6,1>
			texture{WhiteWood}}}
		#end
	rotate <0,0,5>}
	
#declare Fans = union{
	object{Fan rotate <0,0,0>}
	object{Fan rotate <0,90,0>}
	object{Fan rotate <0,180,0>}
	object{Fan rotate <0,270,0>}
	object{
		box{<-.5,-.5,-.5> <.5,.5,.5>}
		texture{YellowWood}}
	rotate <0,2,0>
	rotate <100,0,0>
	translate <0,13,-3.4>}

#declare Head = union{
	difference{
		object{HeadCliche}
		object{
			HeadCliche
			scale <.85,.87,1.1>
			translate <0,.12,0>}
		scale <1.1,1.1,1>
		translate <0,-.01,.15>
		texture{Wood}}
	difference{
		object{HeadCliche}
		object{
			HeadCliche
			scale <.85,.87,1.1>
			translate <0,.12,0>}
		texture{WhiteWood}}
	object{
		HeadCliche
		scale <.9,.9,.95>
		texture{GreenWood}}
	translate <0,12.5,0>}

#declare Neck = object{
	cylinder{
		<0,12,0> <0,12.5,0>,2.8}
	texture{YellowWood}}

#declare Shaft = difference{
	cylinder{
		<0,0,0> <0,10,0>,8}
	union{
		object{Cliche3}
		object{Window rotate <0,135,0> translate <0,2,0>}
		object{Window rotate <0,135,0> translate <0,4.5,0>}
		object{Window translate <0,1,0>}
		object{Window translate <0,8,0>}}
	translate <0,2,0>
	texture {BrickWall}}

#declare Windows = intersection{
	union{
		object{Cliche3}
		object{Window rotate <0,135,0> translate <0,2,0>}
		object{Window rotate <0,135,0> translate <0,4.5,0>}
		object{Window translate <0,1,0>}
		object{Window translate <0,8,0>}}
	difference{
		cylinder{
			<0,0,0> <0,10,0>,8}
		object{Cliche3}
		scale <.95,1,.95>}
	translate <0,2,0>
	texture{YellowWood}}
		
#declare Base = difference{
	cylinder{
		<0,0,0> <0,2,0>,4.5}
	box{
		<-.5,0,-5> <.5,2,5>
		rotate <0,135,0>}
	texture {LightBrickWall}}
	
#declare Door = difference{
	box{
		<-.5,0,-4.2> <.5,2,4.2>}
	box{
		<-.35,.2,-4.5> <.35,1.8,4.5>}
	rotate <0,135,0>
	texture {YellowWood}}
	
#declare Beams = union{
	box{
		<-8,-.1,-.1> <8,.1,.1>
		translate <0,13,0>}
	box{
		<-4,-.1,2.6> <4,.1,2.7>
		translate <0,13,0>}
	box{
		<-4.2,-.1,3.2> <4.2,.1,3.4>
		translate <0,6.5,0>}
	cylinder{
		<-7.7,13.4,0> <0,.5,6.5>,.08}
	cylinder{
		<7.7,13.4,0> <0,.5,6.5>,.08}
	cylinder{
		<-3.7,13.4,2.7> <0,.5,6.5>,.08}
	cylinder{
		<3.7,13.4,2.7> <0,.5,6.5>,.08}
	texture {Wood}}

#declare Windmill = union{
	object{Axis rotate <0,-60,0>}
	object{Fans rotate <0,-60,0>}
	object{Head rotate <0,-60,0>}
	object{Beams rotate <0,-60,0>}
	object{Neck}
	object{Shaft}
	object{Windows}
	object{Base}
	object{Door}
	scale <.04,.04,.04>}
	